<?php
namespace OCA\Deckflow\AppInfo;

use OCP\AppFramework\App;
use OCA\Deckflow\Controller\SettingsController;
use OCA\Deckflow\Cron\MoveOverdueCardsJob;
use OCP\IContainer;

class Application extends App {

    public function __construct(array $urlParams = []) {
        parent::__construct('deckflow', $urlParams);
        $container = $this->getContainer();

        // Routen für das Backend
        $container->registerService('SettingsController', function(IContainer $c) {
            return new SettingsController(
                $c->query('OCP\IRequest'),
                $c->query('OCP\IUserSession'),
                $c->query('OCA\Deckflow\Service\WorkflowService'),
                $c->query('OCP\IDBConnection')
            );
        });

        // CronJob registrieren
        $container->registerService('MoveOverdueCardsJob', function(IContainer $c) {
            return new MoveOverdueCardsJob(
                $c->query('OCA\Deckflow\Service\WorkflowService')
            );
        });
    }
}
